VULKAN_HPP_NAMESPACE::DebugReportCallbackEXT Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | DebugReportCallbackEXT ()
VULKAN_HPP_CONSTEXPR | DebugReportCallbackEXT (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | DebugReportCallbackEXT (VkDebugReportCallbackEXT debugReportCallbackEXT)
DebugReportCallbackEXT & | operator= (std::nullptr_t)
bool | operator== (DebugReportCallbackEXT const &rhs) const
bool | operator!= (DebugReportCallbackEXT const &rhs) const
bool | operator< (DebugReportCallbackEXT const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkDebugReportCallbackEXT () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkDebugReportCallbackEXT | m_debugReportCallbackEXT

## Detailed Description

Definition at line 4958 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DebugReportCallbackEXT() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::DebugReportCallbackEXT::DebugReportCallbackEXT | ( |  | ) |

inline

Definition at line 4961 of file vulkan.hpp.

: m_debugReportCallbackEXT(VK_NULL_HANDLE)
{}

## DebugReportCallbackEXT() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::DebugReportCallbackEXT::DebugReportCallbackEXT | ( | std::nullptr_t |  | ) |

inline

Definition at line 4965 of file vulkan.hpp.

: m_debugReportCallbackEXT(VK_NULL_HANDLE)
{}

## DebugReportCallbackEXT() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::DebugReportCallbackEXT::DebugReportCallbackEXT | ( | VkDebugReportCallbackEXT | debugReportCallbackEXT | ) |

inline

Definition at line 4969 of file vulkan.hpp.

: m_debugReportCallbackEXT( debugReportCallbackEXT )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::DebugReportCallbackEXT::operator bool | ( |  | ) | const

inline explicit

Definition at line 5009 of file vulkan.hpp.

{
return m_debugReportCallbackEXT != VK_NULL_HANDLE;
}

References m_debugReportCallbackEXT, and VK_NULL_HANDLE.

## operator VkDebugReportCallbackEXT()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::DebugReportCallbackEXT::operator VkDebugReportCallbackEXT | ( |  | ) | const

inline

Definition at line 5004 of file vulkan.hpp.

{
return m_debugReportCallbackEXT;
}

References m_debugReportCallbackEXT.

## operator!()

bool VULKAN_HPP_NAMESPACE::DebugReportCallbackEXT::operator! | ( |  | ) | const

inline

Definition at line 5014 of file vulkan.hpp.

{
return m_debugReportCallbackEXT == VK_NULL_HANDLE;
}

References m_debugReportCallbackEXT, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::DebugReportCallbackEXT::operator!= | ( | DebugReportCallbackEXT const & | rhs | ) | const

inline

Definition at line 4992 of file vulkan.hpp.

{
return m_debugReportCallbackEXT != rhs.m_debugReportCallbackEXT;
}

References m_debugReportCallbackEXT.

## operator<()

bool VULKAN_HPP_NAMESPACE::DebugReportCallbackEXT::operator< | ( | DebugReportCallbackEXT const & | rhs | ) | const

inline

Definition at line 4997 of file vulkan.hpp.

{
return m_debugReportCallbackEXT < rhs.m_debugReportCallbackEXT;
}

References m_debugReportCallbackEXT.

## operator=()

DebugReportCallbackEXT& VULKAN_HPP_NAMESPACE::DebugReportCallbackEXT::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 4981 of file vulkan.hpp.

{
m_debugReportCallbackEXT = VK_NULL_HANDLE;
return *this;
}

References m_debugReportCallbackEXT, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::DebugReportCallbackEXT::operator== | ( | DebugReportCallbackEXT const & | rhs | ) | const

inline

Definition at line 4987 of file vulkan.hpp.

{
return m_debugReportCallbackEXT == rhs.m_debugReportCallbackEXT;
}

References m_debugReportCallbackEXT.

## Field Documentation

## m_debugReportCallbackEXT

VkDebugReportCallbackEXT VULKAN_HPP_NAMESPACE::DebugReportCallbackEXT::m_debugReportCallbackEXT

private

Definition at line 5020 of file vulkan.hpp.

Referenced by operator bool(), operator VkDebugReportCallbackEXT(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49
VULKAN_HPP_NAMESPACE::DebugReportCallbackEXT::m_debugReportCallbackEXT
VkDebugReportCallbackEXT m_debugReportCallbackEXT
Definition: vulkan.hpp:5020